from django.db import models
from clfinanceApp.models import ExpenseCategory
from clbranchApp.models import Branch
from clauthApp.models import User
# Create your models here.

class ExpenseItem(models.Model):#بند المصروفات
    branch = models.ForeignKey(Branch,on_delete=models.PROTECT)   
    name = models.CharField(max_length=100)
    category = models.ForeignKey(
        ExpenseCategory,
        related_name="ExpenseItem_category",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    def __str__(self):
        return self.name

class MedicalService(models.Model):
    branch = models.ForeignKey(Branch,on_delete=models.PROTECT)   
    name = models.CharField(max_length=100)
    price = models.IntegerField(default=0)#center price السعر لمرضي المركز أيا كان الدكتور
    #is_reception_ms = models.BooleanField(default=True)
    is_active = models.BooleanField(default=True)
    created_by = models.ForeignKey(User,on_delete=models.PROTECT)
    created_at = models.DateTimeField(auto_now_add=True)
    def __str__(self):
        return self.name


class Expense(models.Model):#bnood elmsareef   
    branch = models.ForeignKey(Branch,on_delete=models.PROTECT)   
    price = models.IntegerField(default=0)
    item = models.ForeignKey(
        ExpenseItem,
        related_name="Expense_item",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    note = models.CharField(max_length=100,blank=True, null=True)
    created_on = models.DateTimeField(auto_now_add=True)
    created_by = models.ForeignKey(
        User,
        related_name="Expense_created_by",
        blank=True,
        null=True,
        on_delete=models.PROTECT,
    )
    def __str__(self):
        return "{} : {}".format(self.item.name,self.price)